.promo-badge {
  position: relative;
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 6px 10px;
  border-radius: 999px;
  background: linear-gradient(306deg, #000000, #175e1b);
  /*background: linear-gradient(90deg, #1B2A1F, #2E7D32);*/
  border: 1px solid #95f022;
  color: #fff;
  font-family: Inter, sans-serif;
  font-size: 14px;
  font-weight: 500;
  cursor: pointer;
  overflow: hidden;
  transition: transform 0.2s ease;
}
 
.promo-badge:hover {
  transform: scale(1.03);
}
 
.promo-icon {
  font-size: 14px;
  animation: iconPulse 2.5s ease-in-out infinite;
}
 
@keyframes iconPulse {
  0%, 100% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.15);
    opacity: 0.85;
  }
}
 
.promo-text {
  color: #ffffff;
  opacity: 0.95;
}
.promo-text a{
  color: #ffffff !important;
  opacity: 0.95;
}
 
.promo-discount {
  font-weight: 700;
  color: #7bd706;
  animation: discountGlow 2.8s ease-in-out infinite;
}
 
@keyframes discountGlow {
  0%, 100% {
    text-shadow: 0 0 0px rgba(141, 255, 145, 0);
    transform: scale(1);
  }
  50% {
    text-shadow: 0 0 8px rgba(141, 255, 145, 0.6);
    transform: scale(1.05);
  }
}
 
.promo-shine {
  position: absolute;
  top: 0;
  left: -60%;
  width: 50%;
  height: 100%;
 
  background: linear-gradient(
    120deg,
    transparent,
    rgba(255, 255, 255, 0.25),
    transparent
  );
 
  transform: skewX(-20deg);
 
  animation: shineMove 3s infinite;
}
 
@keyframes shineMove {
  0% {
    left: -60%;
  }
  100% {
    left: 120%;
  }
}
 
.promo-badge {
  animation: floatGlow 3s ease-in-out infinite;
}
 
@keyframes floatGlow {
  0%, 100% {
    box-shadow: 0 0 0px rgba(46,125,50,0);
  }
  50% {
    box-shadow: 0 0 12px rgba(46,125,50,0.25);
  }
}